/*
 * ml505 top-level module. Uses same signal names as Xilinx-provided ml50x_U1_fpga.ucf
 */

module ml505 (
  USER_CLK,
  FPGA_CPU_RESET_B,
  HDR1_2,
  HDR1_4,
  HDR1_6,
  HDR1_8,
  HDR1_10,
  HDR1_12,
  HDR1_14,
  HDR1_16,
  HDR1_18,
  HDR1_20,
  HDR1_22,
  HDR1_24,
  HDR1_26,
  HDR1_28,
  HDR1_30,
  HDR1_32,
  HDR1_34,
  HDR1_36,
  HDR1_38,
  HDR1_40,
  HDR1_42,
  HDR1_44,
  HDR1_46,
  HDR1_48,
  HDR1_50,
  HDR1_52,
  HDR1_54,
  HDR1_56,
  HDR1_58,
  HDR1_60,
  HDR1_62,
  HDR1_64,
  HDR2_2_SM_8_N,
  HDR2_4_SM_8_P,
  HDR2_6_SM_7_N,
  HDR2_8_SM_7_P,
  HDR2_10_DIFF_0_N,
  HDR2_12_DIFF_0_P,
  HDR2_14_DIFF_1_N,
  HDR2_16_DIFF_1_P,
  HDR2_18_DIFF_2_N,
  HDR2_20_DIFF_2_P,
  HDR2_22_SM_10_N,
  HDR2_24_SM_10_P,
  HDR2_26_SM_11_N,
  HDR2_28_SM_11_P,
  HDR2_30_DIFF_3_N,
  HDR2_32_DIFF_3_P,
  HDR2_34_SM_15_N,
  HDR2_36_SM_15_P,
  HDR2_38_SM_6_N,
  HDR2_40_SM_6_P,
  HDR2_42_SM_14_N,
  HDR2_44_SM_14_P,
  HDR2_46_SM_12_N,
  HDR2_48_SM_12_P,
  HDR2_50_SM_5_N,
  HDR2_52_SM_5_P,
  HDR2_54_SM_13_N,
  HDR2_56_SM_13_P,
  HDR2_58_SM_4_N,
  HDR2_60_SM_4_P,
  HDR2_62_SM_9_N,
  HDR2_64_SM_9_P
  );

  input USER_CLK;
  input FPGA_CPU_RESET_B;

  output HDR1_2;
  output HDR1_4;
  output HDR1_6;
  output HDR1_8;
  output HDR1_10;
  output HDR1_12;
  output HDR1_14;
  output HDR1_16;
  output HDR1_18;
  output HDR1_20;
  output HDR1_22;
  output HDR1_24;
  output HDR1_26;
  output HDR1_28;
  output HDR1_30;
  output HDR1_32;
  output HDR1_34;
  output HDR1_36;
  output HDR1_38;
  output HDR1_40;
  output HDR1_42;
  output HDR1_44;
  output HDR1_46;
  output HDR1_48;
  output HDR1_50;
  output HDR1_52;
  output HDR1_54;
  output HDR1_56;
  output HDR1_58;
  output HDR1_60;
  output HDR1_62;
  output HDR1_64;
  output HDR2_2_SM_8_N;
  output HDR2_4_SM_8_P;
  output HDR2_6_SM_7_N;
  output HDR2_8_SM_7_P;
  output HDR2_10_DIFF_0_N;
  output HDR2_12_DIFF_0_P;
  output HDR2_14_DIFF_1_N;
  output HDR2_16_DIFF_1_P;
  output HDR2_18_DIFF_2_N;
  output HDR2_20_DIFF_2_P;
  output HDR2_22_SM_10_N;
  output HDR2_24_SM_10_P;
  output HDR2_26_SM_11_N;
  output HDR2_28_SM_11_P;
  output HDR2_30_DIFF_3_N;
  output HDR2_32_DIFF_3_P;
  output HDR2_34_SM_15_N;
  output HDR2_36_SM_15_P;
  output HDR2_38_SM_6_N;
  output HDR2_40_SM_6_P;
  output HDR2_42_SM_14_N;
  output HDR2_44_SM_14_P;
  output HDR2_46_SM_12_N;
  output HDR2_48_SM_12_P;
  output HDR2_50_SM_5_N;
  output HDR2_52_SM_5_P;
  output HDR2_54_SM_13_N;
  output HDR2_56_SM_13_P;
  output HDR2_58_SM_4_N;
  output HDR2_60_SM_4_P;
  output HDR2_62_SM_9_N;
  output HDR2_64_SM_9_P;

  wire clk;
  wire rst;
  wire clk1;
  wire clk2;
  wire [31:0] dta;

  /* incoming signals */
  assign clk     = USER_CLK;         // 100 MHz clock
  assign rst     = FPGA_CPU_RESET_B; // "CPU RST" button

  /* 
   * define outgoing signals to logic analyzer 
   */

  assign HDR2_2_SM_8_N    = 1'b0;
  assign HDR2_4_SM_8_P    = 1'b0;
  assign HDR2_6_SM_7_N    = 1'b0;
  assign HDR2_8_SM_7_P    = 1'b0;
  assign HDR2_10_DIFF_0_N = 1'b0;
  assign HDR2_12_DIFF_0_P = 1'b0;
  assign HDR2_14_DIFF_1_N = 1'b0;
  assign HDR2_16_DIFF_1_P = dta[30];
  assign HDR2_18_DIFF_2_N = dta[28];
  assign HDR2_20_DIFF_2_P = dta[26];
  assign HDR2_22_SM_10_N  = dta[24];
  assign HDR2_24_SM_10_P  = 1'b0;
  assign HDR2_26_SM_11_N  = dta[22];
  assign HDR2_28_SM_11_P  = dta[20];
  assign HDR2_30_DIFF_3_N = dta[18];
  assign HDR2_32_DIFF_3_P = dta[16];
  assign HDR2_34_SM_15_N  = 1'b0;
  assign HDR2_36_SM_15_P  = dta[14];
  assign HDR2_38_SM_6_N   = dta[12];
  assign HDR2_40_SM_6_P   = dta[10];
  assign HDR2_42_SM_14_N  = dta[8];
  assign HDR2_44_SM_14_P  = 1'b0;
  assign HDR2_46_SM_12_N  = dta[6];
  assign HDR2_48_SM_12_P  = dta[4];
  assign HDR2_50_SM_5_N   = dta[2];
  assign HDR2_52_SM_5_P   = dta[0];
  assign HDR2_54_SM_13_N  = 1'b0;
  assign HDR2_56_SM_13_P  = 1'b0;
  assign HDR2_58_SM_4_N   = 1'b0;
  assign HDR2_60_SM_4_P   = 1'b0;
  assign HDR2_62_SM_9_N   = 1'b0;
  assign HDR2_64_SM_9_P   = 1'b0;

  assign HDR1_2   = 1'b0;
  assign HDR1_4   = 1'b0;
  assign HDR1_6   = 1'b0;
  assign HDR1_8   = 1'b0;
  assign HDR1_10  = 1'b0;
  assign HDR1_12  = 1'b0;
  assign HDR1_14  = clk2;
  assign HDR1_16  = dta[31];
  assign HDR1_18  = dta[29];
  assign HDR1_20  = dta[27];
  assign HDR1_22  = dta[25];
  assign HDR1_24  = 1'b0;
  assign HDR1_26  = dta[23];
  assign HDR1_28  = dta[21];
  assign HDR1_30  = dta[19];
  assign HDR1_32  = dta[17];
  assign HDR1_34  = clk1;
  assign HDR1_36  = dta[15];
  assign HDR1_38  = dta[13];
  assign HDR1_40  = dta[11];
  assign HDR1_42  = dta[9];
  assign HDR1_44  = 1'b0;
  assign HDR1_46  = dta[7];
  assign HDR1_48  = dta[5];
  assign HDR1_50  = dta[3];
  assign HDR1_52  = dta[1];
  assign HDR1_54  = 1'b0;
  assign HDR1_56  = 1'b0;
  assign HDR1_58  = 1'b0;
  assign HDR1_60  = 1'b0;
  assign HDR1_62  = 1'b0;
  assign HDR1_64  = 1'b0;

  /* implement ring counter */
  ringcnt ringcnt(clk, rst, clk1, clk2, dta);

endmodule
/* not truncated */

